#!/bin/bash

#### General variables ###
UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
	UCERCLINK="/opt/sun/scn/update-agent/bin/.uce.rc"
	UCERC="/var/opt/sun/scn/update-agent/bin/.uce.rc"
else
	UCERCLINK="/usr/lib/scn/update-agent/bin/.uce.rc"
	UCERC="/var/scn/update-agent/bin/.uce.rc"
fi

#### Actual test ####
if [ -f $UCERC ]; then
	echo "OK: .uce.rc exists"
else
	echo "ERROR: Did not find $UCERC, consider finding a backup file in this folder"
	echo "       or reinstall the agent."
	echo ""
	exit
fi
if [ -L $UCERCLINK ]; then
	echo "OK: .uce.rc symbolic link exists"
else
	echo "ERROR: Did not find the symbolic link $UCERCLINK."
	echo "       It needs to point to $UCERC."
	echo ""
fi
