#!/bin/bash

# state file from previous check
SUPPORTED_OS=/tmp/ocdoctor_supported_os_statefile

# This will only display errors
if [ -x /usr/bin/ksh ]; then
	/usr/bin/ksh prereq/agent_prereq_all.sh -e
else
	#### Needed for RH6
	if [ -x /bin/ksh ]; then
		/bin/ksh prereq/agent_prereq_all.sh -e
	else
		/bin/sh prereq/agent_prereq_all.sh -e
	fi
fi
if [ $? -eq 0 -a -f $SUPPORTED_OS ]; then
        echo "OK: Agent requirements are met"
fi

rm -f $SUPPORTED_OS
