#!/bin/bash
UNAME=`uname`

MY_DIR=`dirname $0`
. $MY_DIR/../../functions
solaris11_stuff

# Solaris 11.4 does not have the service-tag package and hence no stclient
# Ignoring this check for Solaris 11.4 
if $IS_S11 && [ "$S11_RELEASE" -gt 3 ]; then
   exit 0
fi

if [ $UNAME = "Linux" ];then
        STCLIENT=/opt/sun/servicetag/bin/stclient
else
        STCLIENT=/usr/bin/stclient
fi

$STCLIENT -x > /dev/null 2>/dev/null
if [ $? -ne 0 ]; then
        echo "ERROR: got an error while running $STCLIENT, this could be caused by missing pkgs/rpms"
else
        echo "OK: stclient command works properly"
fi
