#!/bin/bash
UNAME=`uname`
if [ "$UNAME" = "Linux" ];then
	exit
fi

# SMF service zstat needs directory /var/adm/exacct/

SMF_LOG_FILE="/var/svc/log/application-xvm-zstat:default.log"

REQ_DIR="/var/adm/exacct"

if [ -f "$SMF_LOG_FILE" ]; then
	if [ -d "$REQ_DIR" ]; then
		echo "OK: Directory '$REQ_DIR' exists"
	else
		echo 
		echo "ERROR: Directory '$REQ_DIR' is missing but it is required by the zstat SMF service!"
		echo "       Check log file '$SMF_LOG_FILE' for any acctadm/xvm_zstat related errors."
		echo
	fi
fi
