#!/bin/bash
UNAME=`uname`
if [ "$UNAME" = "Linux" ];then
	exit
fi

if [ -f /var/cacao/instances/scn-agent/logs/cacao.0 ]; then
	DONOTHING=1
	### Otherwise the egrep below will error out
else
	exit
fi

if egrep 'xvmluinfo.*timed out after 60 seconds' /var/cacao/instances/scn-agent/logs/cacao.? > /dev/null
then
  cat <<EOF
ERROR: Found in the logs that the xvmluinfo command is running into the 60 seconds time out !

       See the document 'howto_fix_xvmluinfo.txt' in OCDoctor's 'howto' folder for a workaround. 

EOF
else
  echo "OK: xvmluinfo is working properly"
fi
