#!/bin/bash

BUILTSTAMP=

UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
    	ECADM="/opt/sun/xvmoc/bin/ecadm"
    	PROXYADM="/opt/sun/xvmoc/bin/proxyadm"
	CURRENT_STAMP=`date +%s`
else
    	ECADM="/opt/SUNWxvmoc/bin/ecadm"
    	PROXYADM="/opt/SUNWxvmoc/bin/proxyadm"
	CURRENT_STAMP=`/usr/bin/nawk 'BEGIN{print srand()}'`		#### this is an easy way to get EPOCH time on Solaris
fi

if [ -f "$ECADM" ]; then
        ## Don't run this twice on Sat
        exit
fi
if [ -f "$PROXYADM" ]; then
        ## Don't run this twice on proxy
        exit
fi

GAP=$(($BUILTSTAMP-$CURRENT_STAMP))

if [ $GAP -lt 604800 ]; then		### The Doctor was built after the current time stamp, meaning, current system is in the past
	echo "OK: System time is not in the past"
else
	echo "ERROR: System time is in the past, this can cause various issues. Please check it using the 'date' command."
	echo ""
fi
