#!/bin/bash
UNAME=`uname`
if [ $UNAME = "Linux" ];then
	if [ -x /etc/init.d/uce_server ]; then			### only if it's installed
		OUTPUT=`ps -ef | grep server_httpd | grep "/uce/"`
		if [ "$OUTPUT" = "" ]; then
			echo "ERROR: UCE server is not running. If you just upgraded Ops Center, try"
			echo "       restarting this service as it is a known problem (CR 7106210):"
			echo "       # service uce_server restart"
			echo "       or"
			echo "       # service uce_server start"
			echo ""
		else
			echo "OK: UCE server is running"
		fi
	fi
fi
