#!/bin/bash
UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
	exit
fi
OUTPUT=`pkginfo -p`
if [ "$OUTPUT" = "" ]; then
	echo "OK: No partially installed packages"
else
	echo "WARNING: Found the following partially installed packages (pkginfo -p), please check if that's a problem:"
	printf "$OUTPUT\n"
	echo ""
fi

