#!/bin/bash
UNAME=`uname`
if [ "$UNAME" = "Linux" ];then
	exit
fi

if [ -f /var/cacao/instances/oem-ec/logs/cacao.0 ]; then
	DONOTHING=1
	### Otherwise the egrep below will error out
else
	exit
fi

if egrep 'com.sun.scn.jobmanager.common.api.JobManagerException: Task not registered - DiscoveryNormalization' /var/cacao/instances/oem-ec/logs/cacao.? > /dev/null
then
  cat <<EOF

WARNING: Found in the logs that there was an attempt to re-run a job which was migrated from a 2.5 environment.
         This is not supported (CR 6990675). Please create a new job instead."

EOF
else
  echo "OK: No old jobs rerun (CR 6990675)"
fi
