#!/bin/bash

#### Actual test ####
FOLDER="/var/opt/sun/xvm/update-saved-state"
if [ -d $FOLDER ]; then
	OUTPUT=`find $FOLDER -type d -name "update_tmp"`
	if [ "$OUTPUT" = "" ]; then
		echo "OK: No update_tmp folder found"
	else
		echo "WARNING: Found a temporary update folder. This means the next time you attempt to upgrade you might"
		echo "         run into CR 7065982. To avoid a problem in your next upgrade, consider renaming the following:"
		printf "$OUTPUT\n"
		echo
	fi
else
	echo "OK: No update-saved-state folder was found"
fi
