#!/bin/bash
UNAME=`uname`
if [ "$UNAME" = "Linux" ];then
	UCEPATH="/var/opt/sun/xvm/uce/usr.local/server"
else
	UCEPATH="/var/opt/sun/xvm/uce/opt/server"	
fi

# First check if uce-sds is even here
UCESDS=`grep "^uce-sds:" /etc/passwd`
if [ "$UCESDS" = "" ]; then
	echo "ERROR: Could not find user uce-sds in /etc/passwd"
	exit
fi

ANYOUTPUT=`su uce-sds -c "cd $UCEPATH/cgi-bin/;./download_large.cgi 81000073 fakesig 2>/dev/null| grep -i error" 2>/dev/null | grep -i error`
if [ "$ANYOUTPUT" = "" ];then
	echo "OK: Connectivity to the KB public servers works properly (using download_large.cgi)"
else
	echo "ERROR: Could not access the KB public servers using Ops Center downloader (download_large.cgi)"
	echo "       Check the username and password and proxy configuration in \"Administration\" ->"
	echo "       \"Edit Authentications\" and \"Change HTTP proxy\""
	echo ""
	echo "       Also, you may try the following command to test connectivity outside of Ops Center:"
	echo "       /var/opt/sun/xvm/OCDoctor/OCDoctor.sh --check-connectivity"
        echo ""
	echo "Main Document page: "
        echo "  http://docs.oracle.com/en/enterprise-manager/?tab=2"
	echo "  Under the specific version of Ops Center, the applicable section is 'Ports and Protocols'"
	echo ""

	echo ""
fi
