#!/bin/bash

#### This is a test template 
#### Rename this file so it runs during --troubleshoot
#### Also, choose one of the desired results below (true/false) to debug

#### General variables ###
UNAME=`uname`
UNAMER=`uname -r`
if [ "$UNAME" = "Linux" ]; then
        SAT_BIN="/opt/sun/xvmoc/bin/satadm"
	AGENT_BIN="/opt/sun/xvmoc/bin/agentadm"
	PROXY_BIN="/opt/sun/xvmoc/bin/proxyadm"
else
        SAT_BIN="/opt/SUNWxvmoc/bin/satadm"
	AGENT_BIN="/opt/SUNWxvmoc/bin/agentadm"
	PROXY_BIN="/opt/SUNWxvmoc/bin/proxyadm"
fi

#### Actual test ####
DOSOMETHING=`/bin/true`		## Comment one of these
#DOSOMETHING=`/bin/false`	## Comment one of these

if [ $? -eq 0 ]; then
	echo "OK: Template is OK"
else
	echo "ERROR: Template found an issue"
	if [ "$OCDOCTOR_FIX" = "1" ];then
		echo "       Automatic fix goes here"
	else
		echo "       Manual fix explanation goes here"
		echo "       or use '# ./OCDoctor.sh --troubleshoot --fix' to automatically fix this"
	fi
fi
