#!/bin/bash
UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
        APACHELOGS="/var/logs/uce_server"
else
        APACHELOGS="/var/opt/SUNWuce/server/logs/uce_server"
fi

CHECK_SIZE=2000000
PROBLEM=0
for i in ${APACHELOGS}/*_log
do
  if [ `du -k $i|awk '{print $1}'` -gt $CHECK_SIZE ]; then
    PROBLEM=1
    echo "WARNING: Logfile $i is close to or larger than 2 GB !"
  fi
done
if [ $PROBLEM -eq 0 ];then
        echo "OK: Apache logs are smaller than 2 GB"
else
  if [ "$UNAME" = "Linux" ]; then
        echo "WARNING: Apache httpd server will not start if logfiles are larger than 2 GB !"
  else    
        echo "WARNING: SMF service 'uce-server' will not start if logfiles are larger than 2 GB !"
  fi
  echo ""
fi
