#!/bin/bash

# First check if scndb is even here
SCNDB=`grep "^scndb:" /etc/passwd`
if [ "$SCNDB" = "" ]; then
	echo "ERROR: Could not find user scndb - did the installation stop before step 11 - 'Initialize database'?"
	exit
else
	echo "OK: scndb user exists"
fi

ANYOUTPUT=`su - scndb -c true 2>/dev/null`
if [ "$ANYOUTPUT" = "" ];then
	echo "OK: scndb user does not have any messages printed when logged in"
else
	echo "ERROR: when running 'su - scndb' we got some output."
	echo "       Check in /etc/profile and remove those messages - otherwise installation may fail"
	echo "       at step 11 - 'Initialize database'"
fi
