#!/bin/bash

# First check if uce-sds is even here
UCESDS=`grep "^uce-sds:" /etc/passwd`
if [ "$UCESDS" = "" ]; then
	echo "ERROR: Could not find user uce-sds in /etc/passwd"
	exit
fi

UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
	UCEPATH="/usr/local/uce/server"
else
	UCEPATH="/opt/SUNWuce/server"
fi

ANYOUTPUT=`su - uce-sds -c "cd $UCEPATH/cgi-bin/;./download_large.cgi 81000073 fakesig 2>/dev/null| grep -i error" 2>/dev/null | grep -i error`
if [ "$ANYOUTPUT" = "" ];then
	echo "OK: Connectivity to the KB public servers works properly"
else
	echo "ERROR: Could not access the KB public servers"
	echo "       Check the username and password and proxy configuration in \"Administration\" -> \"Edit Authentications\" and \"Change HTTP proxy\""
	echo ""
fi
