#!/bin/bash
UNAME=`uname`
if [ $UNAME = "Linux" ];then
	MOUNT="/tmp"
	DF="df -P"
else
	MOUNT="/var/tmp"
	DF="df"
fi
AVAILABLE=`$DF -k $MOUNT | tail -1 | awk '{print \$4}'`
AVAILABLEH=`$DF -h $MOUNT | tail -1 | awk '{print \$4}'`
REQUIRED=4194304
if [ $AVAILABLE -lt $REQUIRED ]; then
	echo ""
	echo "WARNING: Not enough disk space on $MOUNT - need 4G but only have $AVAILABLEH"
	echo "         The EC upgrade bundles are unpacked in there - make sure you have enough space before upgrading"
	echo ""
else
	echo "OK: There is enough disk space in $MOUNT ($AVAILABLEH)"
fi
