-- 6887457
update product_ancestors
   set parent_uuid = 'urn:st:uuid:136dd8e9-2ed2-4762-83fe-cd575d36aff4'
   where product_uuid in ('602-3776-01','602-4499-01')
    and parent_uuid = 'urn:st:uuid:3f1ff41a-469c-4ba1-8abd-dd02bc57be42';


-- Link Known TargetTypes to TargetType Root Node
insert into product_ancestors (product_uuid, parent_uuid) values ('urn:uuid:5005588c-36f3-11d6-9cec-fc96f718e113', 'urn:st:uuid:c5875d0c-2897-4e67-9444-20d453bad3e9');
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:40db40e6-63d5-11d7-9870-9c8d0a1a6a33', 'urn:st:uuid:c5875d0c-2897-4e67-9444-20d453bad3e9');
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:471ace80-3132-425c-bd6e-6913c5813d75', 'urn:st:uuid:c5875d0c-2897-4e67-9444-20d453bad3e9');
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:st:uuid:ef6ee59e-8869-46e2-b1a1-8f4980c0f7ec', 'urn:st:uuid:c5875d0c-2897-4e67-9444-20d453bad3e9');
-- OSP
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:st:uuid:191b3d35-5317-42fc-8a35-60c88b5ffacf', 'urn:st:uuid:c5875d0c-2897-4e67-9444-20d453bad3e9');
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:st:uuid:d98312cb-c97c-4e20-88d1-2db55107da36', 'urn:st:uuid:c5875d0c-2897-4e67-9444-20d453bad3e9');

-- Sun4v
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:st:uuid:8d567e16-b31a-4349-b71a-427fae74733e', 'urn:st:uuid:c5875d0c-2897-4e67-9444-20d453bad3e9');

-- Link Solaris to Simple zone profile node
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:5005588c-36f3-11d6-9cec-fc96f718e113', 'urn:st:uuid:22f385de-7c93-46df-8e50-37d075c7808c');
-- Link Solaris to Advanced zone profile node
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:5005588c-36f3-11d6-9cec-fc96f718e113', 'urn:st:uuid:1a45c192-af5f-4d62-92a0-96e5402f6910');
-- Link Solaris to Test zone profile node
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:5005588c-36f3-11d6-9cec-fc96f718e113', 'urn:st:uuid:1c666e63-9dbe-480b-9198-1c7894b15d77');




-- Link Servers to Server Firmware Profile node
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:40db40e6-63d5-11d7-9870-9c8d0a1a6a33', 'urn:st:uuid:638b8aae-ad80-41f7-ab99-68d89c4f86a5');
-- Link Blade Chassis to Chassis Firmware Profile node
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:471ace80-3132-425c-bd6e-6913c5813d75', 'urn:st:uuid:5378ed06-9161-4c25-a128-acdfe8bb86e8');

-- Link Hardware node to Hardware_Operations
-- insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:3fe34d0a-63d5-11d7-8c2d-add88e15edfc', 'urn:st:uuid:24b5f70a-5ffa-42d1-8602-21a0e6030ab1');
-- Link Operating Systems node to Software_Operations
-- insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:5924e6de-63d5-11d7-8763-c9b90bc6db2c', 'urn:st:uuid:e80842fd-6a51-4a44-a775-69a199b5ab37');


-- Link Servers to "Generic ILOM 3.0" SP Profile node
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:40db40e6-63d5-11d7-9870-9c8d0a1a6a33', 'urn:st:uuid:dabce865-c0f7-4129-a8b5-1c38b5bafeb0');
-- Link Blade Chassis to "CMM ILOM 3.0" SP Profile node
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:471ace80-3132-425c-bd6e-6913c5813d75', 'urn:st:uuid:ac06ef4e-202f-4398-bb06-e5c8fb77bdc2');
-- Link M Series to MSeries SP Profile node
-- KL/Ben decided to just target specific MSeries, down below, no generic
--insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:st:uuid:ef6ee59e-8869-46e2-b1a1-8f4980c0f7ec', 'urn:st:uuid:1c98e6ee-3565-4c44-87f1-c4f2ec4289a9');

-- Link MSeries SP profile subtypes to all MSeries products
-- prod to subtype
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:f3d8ef74-0a68-11dd-8282-080020a9ed93', 'urn:st:uuid:1c98e6ee-3565-4c44-87f1-c4f2ec4289a9');
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:ba987151-d0cc-11db-9135-080020a9ed93' , 'urn:st:uuid:1c98e6ee-3565-4c44-87f1-c4f2ec4289a9');
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:d468375a-d0d6-11db-9135-080020a9ed93' , 'urn:st:uuid:1c98e6ee-3565-4c44-87f1-c4f2ec4289a9');
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:51e8feab-ce93-11db-9135-080020a9ed93' , 'urn:st:uuid:1c98e6ee-3565-4c44-87f1-c4f2ec4289a9');
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:2eb6b8a2-ce94-11db-9135-080020a9ed93' , 'urn:st:uuid:1c98e6ee-3565-4c44-87f1-c4f2ec4289a9');

-- Link special synthetic LDom guest container TT to LDOM Guest profile node
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:st:uuid:0541edc3-1dd2-11b2-8714-00144f58577f', 'c4f9d4cd-1dd1-11b2-8715-00144f58577f');

-- Link OSP prods to OSP subtypes
-- OSP sparc - sol sparc
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:st:uuid:d98312cb-c97c-4e20-88d1-2db55107da36', 'urn:st:uuid:69c2542f-4e5a-4145-b1a6-49fdd7351428');
-- OSP x86 - sol x86
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:st:uuid:191b3d35-5317-42fc-8a35-60c88b5ffacf', 'urn:st:uuid:978de5e7-1dd1-11b2-8718-00144f58577f');

-- OSP x86 - RH
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:st:uuid:191b3d35-5317-42fc-8a35-60c88b5ffacf', 'urn:st:uuid:8b216acb-1dd2-11b2-8714-00144f58577f');
-- OSP x86 - OEL
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:st:uuid:191b3d35-5317-42fc-8a35-60c88b5ffacf', 'urn:st:uuid:988c47b7-1dd1-11b2-8715-00144f58577f');
-- OSP x86 - Suse
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:st:uuid:191b3d35-5317-42fc-8a35-60c88b5ffacf', 'urn:st:uuid:a2edcff5-1dd1-11b2-8715-00144f58577f');

-- link VirtualMachine product (LDom guest) to OSP
insert into product_ancestors (product_uuid, parent_uuid) values ('urn:uuid:6d17ad43-1dd2-11b2-87dd-00144f58577f','urn:st:uuid:d98312cb-c97c-4e20-88d1-2db55107da36');

-- LDom Control Domain OSP is special, it links to Sun4v prods
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:st:uuid:8d567e16-b31a-4349-b71a-427fae74733e', 'urn:st:uuid:895b8dc5-1dd2-11b2-8714-00144f58577f');

-- OSP sparc - JET
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:st:uuid:d98312cb-c97c-4e20-88d1-2db55107da36', 'urn:st:uuid:86d7cf5f-1dd2-11b2-87c2-00144f58577f');
-- OSP x86 - JET
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:st:uuid:191b3d35-5317-42fc-8a35-60c88b5ffacf', 'urn:st:uuid:86d7cf5f-1dd2-11b2-87c2-00144f58577f');

-- MONITOR Profiles links
-- Link OSes to "OperatingSystem" Monitoring Profile node
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:5924e6de-63d5-11d7-8763-c9b90bc6db2c', 'urn:st:uuid:1b79d504-f32c-4219-8135-ac87b937a50b');
-- Link Servers to "Server" Monitoring Profile node
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:40db40e6-63d5-11d7-9870-9c8d0a1a6a33', 'urn:st:uuid:25ff4e2f-b34b-4ec1-9655-6a8927897dac');
-- Link OSes to "GlobalZone" Monitoring Profile node
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:5924e6de-63d5-11d7-8763-c9b90bc6db2c', 'urn:st:uuid:5319cd30-0b41-4c3c-94ff-7d704ac88021');
-- Link OSes to "NonGlobalZone" Monitoring Profile node
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:5924e6de-63d5-11d7-8763-c9b90bc6db2c', 'urn:st:uuid:40f71100-2014-4573-858d-f3b9e5eb6b58');
-- Link Synthetic  "LDom Guest Container" to LDomHost Monitoring Profile node
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:st:uuid:0541edc3-1dd2-11b2-8714-00144f58577f', 'urn:st:uuid:8f528e1e-557f-4647-8975-e8933af616be');
-- Link Servers to "LDomGuest" Monitoring Profile node
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:40db40e6-63d5-11d7-9870-9c8d0a1a6a33', 'urn:st:uuid:061f7afd-20d1-46a8-86d9-2c9db638b1f2');
-- Link Blade Chassis to "Chassis" Monitoring Profile node
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:471ace80-3132-425c-bd6e-6913c5813d75', 'urn:st:uuid:d3fc9965-4151-47ee-8c51-b5ce298c05a7');
-- Link M Series to "MSeriesChassis" Monitoring Profile node
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:st:uuid:ef6ee59e-8869-46e2-b1a1-8f4980c0f7ec', 'urn:st:uuid:df955d35-dd2e-494a-9990-07d36e3b4fa0');
-- Link Servers to "MSeriesDomain" Monitoring Profile node
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:40db40e6-63d5-11d7-9870-9c8d0a1a6a33', 'urn:st:uuid:06d09793-68fc-4bfb-8cc7-14e097ad869e');
-- Link Switches to "Switch" Monitoring Profile node
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:st:switcALL-arti-fici-al00-entry0000000', 'urn:st:uuid:d2787341-739a-48bd-9174-a203bdbd46bb');
-- Link Storage Systems to "Storage" Monitoring Profile node
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:st:uuid:7fa419b9-6b07-419d-b77e-51a75606e3c9', 'urn:st:uuid:dfbc67c6-1182-486c-a56e-1ab3056446e0');
-- Link Oracle Solaris to "Solaris Cluster" Monitoring Profile node
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:b3213959-9c2a-11db-b013-080020a9ed93', 'urn:st:uuid:dfbc67c6-1182-486c-a56e-1ab3056446e1');
-- Link Oracle Solaris to "Solaris Cluster Node" Monitoring Profile node
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:b3213959-9c2a-11db-b013-080020a9ed93', 'urn:st:uuid:dfbc67c6-1182-486c-a56e-1ab3056446e2');
-- Link Oracle Solaris to "Solaris Cluster Zone Cluster" Monitoring Profile node
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:b3213959-9c2a-11db-b013-080020a9ed93', 'urn:st:uuid:dfbc67c6-1182-486c-a56e-1ab3056446e3');
-- Link Oracle Solaris to "Solaris Cluster Zone Node " Monitoring Profile node
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:b3213959-9c2a-11db-b013-080020a9ed93', 'urn:st:uuid:dfbc67c6-1182-486c-a56e-1ab3056446e4');


-- Operation Profiles links. OP subtypes actually should NOT influence
-- filtering, so just tie to the root of the PIS.

insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:3aa4a25a-f1d7-11d6-8d34-e36c8c6301c0', 'urn:st:uuid:c4339d83-1dd1-11b2-874a-00144f58577f');
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:3aa4a25a-f1d7-11d6-8d34-e36c8c6301c0', 'urn:st:uuid:d8595e01-1dd1-11b2-874a-00144f58577f');
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:3aa4a25a-f1d7-11d6-8d34-e36c8c6301c0','urn:st:uuid:e181295f-1dd1-11b2-874a-00144f58577f');
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:3aa4a25a-f1d7-11d6-8d34-e36c8c6301c0','urn:st:uuid:e728f33d-1dd1-11b2-874a-00144f58577f');
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:3aa4a25a-f1d7-11d6-8d34-e36c8c6301c0','urn:st:uuid:ebb7ef53-1dd1-11b2-874a-00144f58577f');
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:3aa4a25a-f1d7-11d6-8d34-e36c8c6301c0','urn:st:uuid:f0b4d601-1dd1-11b2-874a-00144f58577f');
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:3aa4a25a-f1d7-11d6-8d34-e36c8c6301c0','urn:st:uuid:f6197a43-1dd1-11b2-874a-00144f58577f');
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:3aa4a25a-f1d7-11d6-8d34-e36c8c6301c0','urn:st:uuid:faa87b31-1dd1-11b2-874a-00144f58577f');
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:3aa4a25a-f1d7-11d6-8d34-e36c8c6301c0','urn:st:uuid:ff8f78f7-1dd1-11b2-874a-00144f58577f');
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:3aa4a25a-f1d7-11d6-8d34-e36c8c6301c0','urn:st:uuid:03e02497-1dd2-11b2-874a-00144f58577f');
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:3aa4a25a-f1d7-11d6-8d34-e36c8c6301c0','urn:st:uuid:4bc9e243-1dd2-11b2-874a-00144f58577f');


-- -------
-- 6893573
-- -------
insert into product_ancestors (product_uuid, parent_uuid) values ('urn:st:uuid:00785be6-34d5-44f2-8b6c-b0aaa755f6c5','urn:st:uuid:fdecdc40-96a6-44c3-863b-86d55aa5d252');

-- Link Linux and Solaris to Software Update Profiles
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:5a8bf602-63d5-11d7-8605-d7b92d372e03', 'urn:st:uuid:5d7f5593-2caa-4e57-9dd1-2d02ce034bc7' );
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:5a8bf602-63d5-11d7-8605-d7b92d372e03', 'urn:st:uuid:294ee389-fddf-4159-9e05-56a2c91a6221' );
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:5a8bf602-63d5-11d7-8605-d7b92d372e03', 'urn:st:uuid:9c190ba8-1666-4115-a5a3-eff7e9dc41f2' );
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:5a8bf602-63d5-11d7-8605-d7b92d372e03', 'urn:st:uuid:5729a3cb-8a4a-40ec-8305-66f54d368898' );
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:5a8bf602-63d5-11d7-8605-d7b92d372e03', 'urn:st:uuid:186d9612-051f-4853-8f58-1fd7837b813b' );
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:st:uuid:bce12ff8-7882-484b-811e-4269db3331ad', 'urn:st:uuid:5d7f5593-2caa-4e57-9dd1-2d02ce034bc7' );
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:st:uuid:bce12ff8-7882-484b-811e-4269db3331ad', 'urn:st:uuid:294ee389-fddf-4159-9e05-56a2c91a6221' );
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:st:uuid:bce12ff8-7882-484b-811e-4269db3331ad', 'urn:st:uuid:9c190ba8-1666-4115-a5a3-eff7e9dc41f2' );
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:st:uuid:bce12ff8-7882-484b-811e-4269db3331ad', 'urn:st:uuid:5729a3cb-8a4a-40ec-8305-66f54d368898' );
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:st:uuid:bce12ff8-7882-484b-811e-4269db3331ad', 'urn:st:uuid:186d9612-051f-4853-8f58-1fd7837b813b' );

-- Link specific M-Series products to M-Series Domain Subtypes
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:ba987151-d0cc-11db-9135-080020a9ed93' , 'urn:st:uuid:685ed97d-4793-454e-858b-497fcc3e0cec');
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:d468375a-d0d6-11db-9135-080020a9ed93' , 'urn:st:uuid:f5c572bc-52ff-4787-80b5-c09da64cb29f');
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:51e8feab-ce93-11db-9135-080020a9ed93' , 'urn:st:uuid:bbfee0e6-b53c-465a-9b09-35c80cffc389');
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:2eb6b8a2-ce94-11db-9135-080020a9ed93' , 'urn:st:uuid:5a65b5a2-0479-4485-8551-ef5fa1377577');

-- Link specific M-Series products to TargetType root
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:f3d8ef74-0a68-11dd-8282-080020a9ed93', 'urn:st:uuid:c5875d0c-2897-4e67-9444-20d453bad3e9');
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:ba987151-d0cc-11db-9135-080020a9ed93' , 'urn:st:uuid:c5875d0c-2897-4e67-9444-20d453bad3e9');
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:d468375a-d0d6-11db-9135-080020a9ed93' , 'urn:st:uuid:c5875d0c-2897-4e67-9444-20d453bad3e9');
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:51e8feab-ce93-11db-9135-080020a9ed93' , 'urn:st:uuid:c5875d0c-2897-4e67-9444-20d453bad3e9');
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:2eb6b8a2-ce94-11db-9135-080020a9ed93' , 'urn:st:uuid:c5875d0c-2897-4e67-9444-20d453bad3e9');

-- Link special synthetic LDom guest container TT to LDOM Guest profile node
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:st:uuid:0541edc3-1dd2-11b2-8714-00144f58577f', 'urn:st:uuid:8a3a063d-10b3-4621-bbbd-0893247f8632');

-- Link OSP smartgroup to servers
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:st:uuid:191b3d35-5317-42fc-8a35-60c88b5ffacf', 'urn:uuid:40db40e6-63d5-11d7-9870-9c8d0a1a6a33');
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:st:uuid:d98312cb-c97c-4e20-88d1-2db55107da36', 'urn:uuid:40db40e6-63d5-11d7-9870-9c8d0a1a6a33');
-- ----------
-- 6948583
-- ----------
insert into product_ancestors(product_uuid, parent_uuid) values ('541-1983-07','urn:st:uuid:3fe6dcbd-1364-4e88-958b-0e32410ca9d7');

-- ----------------
-- Sun Storage 7000
-- ----------------
insert into product_ancestors (product_uuid, parent_uuid)
 values ('urn:uuid:3ae7b446-edd2-11db-8c3c-080020a9ed93', 'urn:st:uuid:67dd18ee-9364-4bfa-854f-ac9e83c3bbc1');

insert into product_ancestors (product_uuid, parent_uuid)
 values ('urn:uuid:615bcdd7-195e-11de-857b-080020a9ed93', 'urn:st:uuid:67dd18ee-9364-4bfa-854f-ac9e83c3bbc1');

insert into product_ancestors (product_uuid, parent_uuid)
 values ('urn:uuid:a4964cdd-edd2-11db-8c3c-080020a9ed93', 'urn:st:uuid:67dd18ee-9364-4bfa-854f-ac9e83c3bbc1');

insert into product_ancestors (product_uuid, parent_uuid)
 values ('urn:uuid:afcee0df-edd1-11db-8c3c-080020a9ed93', 'urn:st:uuid:67dd18ee-9364-4bfa-854f-ac9e83c3bbc1');

-- Note: The 7110 has two uuids.  See Swordfish notes for details
insert into product_ancestors (product_uuid, parent_uuid)
 values ('urn:uuid:c93e3d09-59d8-11dd-9496-080020a9ed93', 'urn:st:uuid:67dd18ee-9364-4bfa-854f-ac9e83c3bbc1');

-- ---------
-- 6956412 - Switches update support
-- ---------
insert into product_ancestors (product_uuid, parent_uuid) values
    ('urn:st:etherALL-arti-fici-al00-entry0000000','urn:st:switcALL-arti-fici-al00-entry0000000');
insert into product_ancestors (product_uuid, parent_uuid) values
    ('urn:st:etherNEM-arti-fici-al00-entry0000000','urn:st:etherALL-arti-fici-al00-entry0000000');
insert into product_ancestors (product_uuid, parent_uuid) values
    ('541-3770-02','urn:st:etherNEM-arti-fici-al00-entry0000000');
insert into product_ancestors (product_uuid, parent_uuid) values
    ('541-3770-03','urn:st:etherNEM-arti-fici-al00-entry0000000');
insert into product_ancestors (product_uuid, parent_uuid) values
    ('urn:st:etherTOR-arti-fici-al00-entry0000000','urn:st:etherALL-arti-fici-al00-entry0000000');
insert into product_ancestors (product_uuid, parent_uuid) values
    ('541-3765-02','urn:st:etherTOR-arti-fici-al00-entry0000000');
insert into product_ancestors (product_uuid, parent_uuid) values
    ('urn:st:etherCHA-arti-fici-al00-entry0000000','urn:st:etherALL-arti-fici-al00-entry0000000');
insert into product_ancestors (product_uuid, parent_uuid) values
    ('urn:st:infinALL-arti-fici-al00-entry0000000','urn:st:switcALL-arti-fici-al00-entry0000000');
insert into product_ancestors (product_uuid, parent_uuid) values
    ('urn:st:infinNEM-arti-fici-al00-entry0000000','urn:st:infinALL-arti-fici-al00-entry0000000');
insert into product_ancestors (product_uuid, parent_uuid) values
    ('urn:st:infinTOR-arti-fici-al00-entry0000000','urn:st:infinALL-arti-fici-al00-entry0000000');
insert into product_ancestors (product_uuid, parent_uuid) values
    ('5111232','urn:st:infinTOR-arti-fici-al00-entry0000000');
insert into product_ancestors (product_uuid, parent_uuid) values
    ('urn:st:infinCHA-arti-fici-al00-entry0000000','urn:st:infinALL-arti-fici-al00-entry0000000');

-- OSP Sparc smartgroup links
 insert into product_ancestors (product_uuid, parent_uuid) values ('urn:uuid:601eac00-e872-11db-8c3c-080020a9ed93','urn:st:uuid:d98312cb-c97c-4e20-88d1-2db55107da36');

-- 5140 to OSP SPARC
insert into product_ancestors (product_uuid,parent_uuid) values ('urn:uuid:2b4390e8-f73f-11db-8c3c-080020a9ed93','urn:st:uuid:d98312cb-c97c-4e20-88d1-2db55107da36');

-- link mseries to OSP sparc too, this is required to be able to launch OSP
-- on the mseries domains. we do not allow OSP onto the mseries itself via
-- other restrictions.

insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:f3d8ef74-0a68-11dd-8282-080020a9ed93', 'urn:st:uuid:d98312cb-c97c-4e20-88d1-2db55107da36');
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:ba987151-d0cc-11db-9135-080020a9ed93' , 'urn:st:uuid:d98312cb-c97c-4e20-88d1-2db55107da36');
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:d468375a-d0d6-11db-9135-080020a9ed93' , 'urn:st:uuid:d98312cb-c97c-4e20-88d1-2db55107da36');
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:51e8feab-ce93-11db-9135-080020a9ed93' , 'urn:st:uuid:d98312cb-c97c-4e20-88d1-2db55107da36');
insert into product_ancestors (PRODUCT_UUID, PARENT_UUID) values ('urn:uuid:2eb6b8a2-ce94-11db-9135-080020a9ed93' , 'urn:st:uuid:d98312cb-c97c-4e20-88d1-2db55107da36');
-- ---------
-- 6978932 Rainbow Falls
-- --------

insert into product_ancestors (product_uuid, parent_uuid) values ('urn:uuid:e823f71d-d883-11de-9869-080020a9ed93','urn:st:uuid:491057de-ae50-4d05-849d-59c615c499b1');
 insert into product_ancestors (product_uuid, parent_uuid) values ('urn:uuid:e823f71d-d883-11de-9869-080020a9ed93','urn:st:uuid:8d567e16-b31a-4349-b71a-427fae74733e');
 insert into product_ancestors (product_uuid, parent_uuid) values ('urn:uuid:e823f71d-d883-11de-9869-080020a9ed93','urn:st:uuid:d98312cb-c97c-4e20-88d1-2db55107da36');
 insert into product_ancestors (product_uuid, parent_uuid) values ('urn:uuid:e823f71d-d883-11de-9869-080020a9ed93','urn:st:uuid:de4846f0-d3ec-49d9-ba0c-e1a14501cd45');
 insert into product_ancestors (product_uuid, parent_uuid) values ('urn:uuid:82ec7cec-d885-11de-9869-080020a9ed93','urn:st:uuid:491057de-ae50-4d05-849d-59c615c499b1');
 insert into product_ancestors (product_uuid, parent_uuid) values ('urn:uuid:82ec7cec-d885-11de-9869-080020a9ed93','urn:st:uuid:8d567e16-b31a-4349-b71a-427fae74733e');
 insert into product_ancestors (product_uuid, parent_uuid) values ('urn:uuid:82ec7cec-d885-11de-9869-080020a9ed93','urn:st:uuid:d98312cb-c97c-4e20-88d1-2db55107da36');
 insert into product_ancestors (product_uuid, parent_uuid) values ('urn:uuid:82ec7cec-d885-11de-9869-080020a9ed93','urn:st:uuid:de4846f0-d3ec-49d9-ba0c-e1a14501cd45');
 insert into product_ancestors (product_uuid, parent_uuid) values ('urn:uuid:e9301a87-d884-11de-9869-080020a9ed93','urn:st:uuid:491057de-ae50-4d05-849d-59c615c499b1');
 insert into product_ancestors (product_uuid, parent_uuid) values ('urn:uuid:e9301a87-d884-11de-9869-080020a9ed93','urn:st:uuid:8d567e16-b31a-4349-b71a-427fae74733e');
 insert into product_ancestors (product_uuid, parent_uuid) values ('urn:uuid:e9301a87-d884-11de-9869-080020a9ed93','urn:st:uuid:d98312cb-c97c-4e20-88d1-2db55107da36');
 insert into product_ancestors (product_uuid, parent_uuid) values ('urn:uuid:e9301a87-d884-11de-9869-080020a9ed93','urn:st:uuid:de4846f0-d3ec-49d9-ba0c-e1a14501cd45');
 insert into product_ancestors (product_uuid, parent_uuid) values ('urn:uuid:578414b2-d884-11de-9869-080020a9ed93','urn:st:uuid:491057de-ae50-4d05-849d-59c615c499b1');
 insert into product_ancestors (product_uuid, parent_uuid) values ('urn:uuid:578414b2-d884-11de-9869-080020a9ed93','urn:st:uuid:8d567e16-b31a-4349-b71a-427fae74733e');
 insert into product_ancestors (product_uuid, parent_uuid) values ('urn:uuid:578414b2-d884-11de-9869-080020a9ed93','urn:st:uuid:d98312cb-c97c-4e20-88d1-2db55107da36');
 insert into product_ancestors (product_uuid, parent_uuid) values ('urn:uuid:578414b2-d884-11de-9869-080020a9ed93','urn:st:uuid:de4846f0-d3ec-49d9-ba0c-e1a14501cd45');

-- alt chassis URN in chassis group
insert into product_ancestors(product_uuid, parent_uuid) values ('511-1298-01','urn:st:uuid:3fe6dcbd-1364-4e88-958b-0e32410ca9d7');
Insert into product_ancestors(product_uuid, parent_uuid) values ('511-1298-01','urn:st:uuid:5e1ae58f-49ee-4ccd-9979-23d939a02baa');
insert into product_ancestors (product_uuid, parent_uuid) values ('511-1298-01','urn:st:uuid:aff8ae69-aa8a-4a25-bc72-2131761475b2');
-- 
--  6983237
-- 

insert into product_ancestors(product_uuid, parent_uuid) values ('urn:st:uuid:458dc6fd-ea2f-46fa-b95b-a419779f9280','urn:st:uuid:b493d451-94fd-4687-9cd5-ca949c3ddc53');
insert into product_ancestors(product_uuid, parent_uuid) values ('urn:st:uuid:abcedfe4-7ffa-4ef6-ba1c-8a01d6029da3','urn:st:uuid:00785be6-34d5-44f2-8b6c-b0aaa755f6c5');
insert into product_ancestors(product_uuid, parent_uuid) values ('urn:st:uuid:de36303f-074a-41d9-b806-b89c1f78d355','urn:st:uuid:b493d451-94fd-4687-9cd5-ca949c3ddc53');
insert into product_ancestors(product_uuid, parent_uuid) values ('urn:uuid:4295ed63-38ed-11de-857b-080020a9ed93','urn:uuid:a76d1761-a50b-11dc-8f02-080020a9ed93');
insert into product_ancestors(product_uuid, parent_uuid) values ('urn:uuid:59638a0a-a570-11df-bbcc-080020a9ed93','urn:st:uuid:10903454-e21c-4268-9c84-3b6554afdea7');
insert into product_ancestors(product_uuid, parent_uuid) values ('urn:uuid:61d43591-01ad-11dd-8282-080020a9ed93','urn:st:uuid:b86c9b5b-d9d8-4264-b01b-ece2dbedb346');
insert into product_ancestors(product_uuid, parent_uuid) values ('urn:uuid:626420df-38ec-11de-857b-080020a9ed93','urn:uuid:a76d1761-a50b-11dc-8f02-080020a9ed93');
insert into product_ancestors(product_uuid, parent_uuid) values ('urn:uuid:6600ec17-38eb-11de-857b-080020a9ed93','urn:uuid:a76d1761-a50b-11dc-8f02-080020a9ed93');
insert into product_ancestors(product_uuid, parent_uuid) values ('urn:uuid:82e9d62b-6daf-475a-ab09-f9eeaf617c4a','urn:uuid:a76d1761-a50b-11dc-8f02-080020a9ed93');
insert into product_ancestors(product_uuid, parent_uuid) values ('urn:uuid:ba2d1a8d-a0bf-11df-bbcc-080020a9ed93','urn:st:uuid:132e3846-5d7c-4929-847a-4656574e8c6f');
insert into product_ancestors(product_uuid, parent_uuid) values ('urn:uuid:d847b279-da11-11de-9869-080020a9ed93','urn:st:uuid:132e3846-5d7c-4929-847a-4656574e8c6f');
insert into product_ancestors(product_uuid, parent_uuid) values ('urn:uuid:ffd6a2db-38eb-11de-857b-080020a9ed93','urn:uuid:a76d1761-a50b-11dc-8f02-080020a9ed93');
insert into product_ancestors(product_uuid, parent_uuid) values ('urn:uuid:0d75d3cd-f94c-11de-a671-080020a9ed93','urn:st:uuid:136dd8e9-2ed2-4762-83fe-cd575d36aff4');
insert into product_ancestors(product_uuid, parent_uuid) values ('urn:uuid:0d75d3cd-f94c-11de-a671-080020a9ed93','urn:st:uuid:191b3d35-5317-42fc-8a35-60c88b5ffacf');
insert into product_ancestors(product_uuid, parent_uuid) values ('urn:uuid:0d75d3cd-f94c-11de-a671-080020a9ed93','urn:st:uuid:5e1ae58f-49ee-4ccd-9979-23d939a02baa');
insert into product_ancestors(product_uuid, parent_uuid) values ('urn:uuid:0d75d3cd-f94c-11de-a671-080020a9ed93','urn:st:uuid:de4846f0-d3ec-49d9-ba0c-e1a14501cd45');
insert into product_ancestors(product_uuid, parent_uuid) values ('urn:uuid:3158f092-cb2e-11de-9e65-080020a9ed93','urn:st:uuid:136dd8e9-2ed2-4762-83fe-cd575d36aff4');
insert into product_ancestors(product_uuid, parent_uuid) values ('urn:uuid:3158f092-cb2e-11de-9e65-080020a9ed93','urn:st:uuid:de4846f0-d3ec-49d9-ba0c-e1a14501cd45');
insert into product_ancestors(product_uuid, parent_uuid) values ('urn:uuid:5a6b9b7e-9f13-11de-9d26-080020a9ed93','urn:st:uuid:136dd8e9-2ed2-4762-83fe-cd575d36aff4');
insert into product_ancestors(product_uuid, parent_uuid) values ('urn:uuid:5a6b9b7e-9f13-11de-9d26-080020a9ed93','urn:st:uuid:de4846f0-d3ec-49d9-ba0c-e1a14501cd45');
insert into product_ancestors(product_uuid, parent_uuid) values ('urn:uuid:8530e9b5-3ae1-11dc-9482-080020a9ed93','urn:st:uuid:3f1ff41a-469c-4ba1-8abd-dd02bc57be42');
insert into product_ancestors(product_uuid, parent_uuid) values ('urn:uuid:8ca6a877-cb2e-11de-9e65-080020a9ed93','urn:st:uuid:136dd8e9-2ed2-4762-83fe-cd575d36aff4');
insert into product_ancestors(product_uuid, parent_uuid) values ('urn:uuid:8ca6a877-cb2e-11de-9e65-080020a9ed93','urn:st:uuid:de4846f0-d3ec-49d9-ba0c-e1a14501cd45');
insert into product_ancestors(product_uuid, parent_uuid) values ('urn:uuid:ce2c48df-8b74-11df-b9a6-080020a9ed93','urn:st:uuid:3f1ff41a-469c-4ba1-8abd-dd02bc57be42');
insert into product_ancestors(product_uuid, parent_uuid) values ('urn:uuid:d68a0250-bcf8-4136-b44a-0535c2bbf62b','urn:st:uuid:0f33545b-7ff4-4ab7-9473-86496e2d5f91');
insert into product_ancestors(product_uuid, parent_uuid) values ('urn:uuid:e2ca9f1c-356f-11d7-8d57-8e146adca1ba','urn:st:uuid:f49e8772-af3c-4128-bbf8-5b34fda2b8e7');
insert into product_ancestors(product_uuid, parent_uuid) values ('urn:uuid:e653b046-0ee2-11d7-8888-df05546028f8','urn:st:uuid:f49e8772-af3c-4128-bbf8-5b34fda2b8e7');
insert into product_ancestors(product_uuid, parent_uuid) values ('urn:uuid:fa318da6-eb3c-11de-aa88-080020a9ed93','urn:st:uuid:3f1ff41a-469c-4ba1-8abd-dd02bc57be42');
insert into product_ancestors(product_uuid, parent_uuid) values ('urn:uuid:37bbe240-d098-11de-9e65-080020a9ed93','urn:st:uuid:260749da-0815-4865-bb45-b434176e2f35');
update product_ancestors
set parent_uuid = 'urn:st:uuid:3f1ff41a-469c-4ba1-8abd-dd02bc57be42'
where product_uuid = 'urn:uuid:1acc55b3-4b82-11d8-99fc-080020a9ed93'
and parent_uuid = 'urn:st:uuid:f49e8772-af3c-4128-bbf8-5b34fda2b8e7';
