#!/bin/bash

#### General variables ###
UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
	DEFAULTR=`/sbin/route | grep "^default" | awk '{print $1}'`
	if [ "$DEFAULTR" = "" ]; then
		echo "ERRRO: Could not find default route on proxy."
		echo "       OS Provisioning may fail due to that (CR 7107881)."
		echo "       Consider adding default route to prevent this."
		echo ""
	else
		echo "OK: Default route is set properly"
	fi
fi
