#!/bin/bash
UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
        PROXY_BIN="/opt/sun/xvmoc/bin/proxyadm"
else
        PROXY_BIN="/opt/SUNWxvmoc/bin/proxyadm"
fi
STATUS=`$PROXY_BIN status`
if [ "$STATUS" = "online" ];then
        echo "OK: Proxy status is online"
else
        echo "WARNING: Proxy status is not online - try starting it using the command:"
	echo "         $PROXY_BIN start -w"
	echo
	
fi

CONNECTIONS=`/usr/bin/sc-console list-connections | grep "^scn-proxy"`
if [ "$CONNECTIONS" = "" ];then
        echo "WARNING: couldn't find a proxy connection for the local installed proxy. Run 'sc-console list-connections' to view the list"
else
        echo "OK: Found a proxy connection listed in 'sc-console list-connections' - the local proxy is properly configured"
fi
