#!/bin/bash

echo "This script is written for Ops Center 2.5"

echo gathering cacao config info:
echo
cd /opt/SUNWxvmoc/lib/svc
echo running command: "grep 'common-agent-container-.:' *.xml"
grep 'common-agent-container-.:' /opt/SUNWxvmoc/lib/svc/*.xml

echo
echo '--------------------------------------------------------'
echo

echo running command: cat /etc/cacao/private/install.properties
cat /etc/cacao/private/install.properties

echo
echo '--------------------------------------------------------'
echo

echo running command: cacaoadm show smf-fmri -i default
cacaoadm show smf-fmri -i default
echo running command: cacaoadm show smf-fmri -i scn-proxy
cacaoadm show smf-fmri -i scn-proxy
echo running command: cacaoadm show smf-fmri -i scn-agent
cacaoadm show smf-fmri -i scn-agent

echo
echo '--------------------------------------------------------'
echo

echo "running command: svccfg list | grep common-agent-container"
svccfg list | grep common-agent-container

echo
echo '--------------------------------------------------------'
echo

echo "running command: svcs -a |grep 'common-agent-container-.:'"
svcs -a |grep 'common-agent-container-.:'

echo
echo '--------------------------------------------------------'
echo

echo running command: svcs -D svc:/application/scn/satellite-enable:default
svcs -D svc:/application/scn/satellite-enable:default
echo running command: svcs -D svc:/application/scn/db:default
svcs -D svc:/application/scn/db:default
echo running command: svcs -D svc:/application/scn/proxy-enable:default
svcs -D svc:/application/scn/proxy-enable:default
echo running command: svcs -d svc:/application/scn/proxy-available:default
svcs -d svc:/application/scn/proxy-available:default
echo running command: svcs -D svc:/application/xvm/zstat:default
svcs -D svc:/application/xvm/zstat:default
echo running command: svcs -d svc:/application/scn/console:default
svcs -d svc:/application/scn/console:default
echo running command: svcs -d svc:/application/scn/satellite-available:default
svcs -d svc:/application/scn/satellite-available:default

echo
echo '--------------------------------------------------------'
echo

echo running command: sc-console list-connections
sc-console list-connections

echo
echo '--------------------------------------------------------'
echo

echo running command: svcs update-agent
svcs update-agent

echo
echo '--------------------------------------------------------------------'
echo ' Checking for leftovers in SMF repository, these needs to be deleted'
echo '--------------------------------------------------------------------'
echo

echo "running command: svccfg list | grep TEMP"
svccfg list | grep TEMP

echo
echo '--------------------------------------------------------'
echo

