#!/bin/bash

UNAME=`uname`
if [ "$UNAME" = "Linux" ];then
	DONOTHING=1
else
	REL=`uname -r`
	if [ "$REL" = "5.10" ]; then	#### No need to check Solaris 8 or 9
		UPDATEAGENT=`svcs svc:/application/scn/update-agent:default | grep -v "STATE" | awk '{print $1}'`
		if [ "$UPDATEAGENT" = "maintenance" ]; then
			### Is this Sat/Proxy?
			if [ -f /opt/SUNWxvmoc/bin/proxyadm ]; then
				echo "ERROR: Agent service is in maintenance mode."
				echo "       If you just upgraded your Enterprise Controller with a patch, this is a known issue (CR 6914961)."
				echo "       To fix, run the following:"
				echo "       # svcadm disable svc:/application/scn/update-agent:default"
				echo "         ... wait for it to stop in case something was running ..."
				echo "       # svcadm enable svc:/application/scn/update-agent:default"
				echo ""
			else
				echo "ERROR: Agent service is in maintenane mode:"
				svcs svc:/application/scn/update-agent:default
			fi
		fi
	fi
fi

