#!/bin/bash

#### Check version ####
MY_DIR=`dirname $0`
. $MY_DIR/../../functions
get_agent_version ""          ### Provide VERSIONNUM and LATESTVERNUM

if [ $VERSIONNUM -lt $LATESTVERNUM ];then
	echo "WARNING: current installed agent version ($VERSION) is not the latest available ($LATESTVERSION)"
	echo "         To upgrade, go to 'Administration'->'Ops Center Downloads' and Upgrade the EC/PC if needed."
	echo "         Then, to upgrade the agents:"
	echo "         Go to 'Assets'->'Operating Systems'->Pick a group (example:Solaris)->Summary tab->Agent Controllers" 
	echo ""
else
	echo "OK: agent version is the latest one ($VERSION)"
fi
