#!/bin/bash

#### Check version ####
MY_DIR=`dirname $0`
source $MY_DIR/../../functions
get_agent_version ""          ### Provide VERSIONNUM and LATESTVERNUM

if [ $VERSIONNUM -lt $LATESTVERNUM ];then
	echo "WARNING: current agent version ($VERSION) is not the latest available ($LATESTVERSION)"
	echo "         To upgrade, go to 'Administration'->'Sun Ops Center Downloads'. When it's done go to 'Agent Controllers' to upgrade"
else
	echo "OK: agent version is the latest one ($VERSION)"
fi
