#!/bin/bash
AGENTSHELL=`ps -ef | grep uce_agent.sh | grep -v grep`
AGENTBIN=`ps -ef | grep uce_agent.bin | grep -v grep`
OK="1"
if [ "$AGENTSHELL" = "" ]; then
        echo "WARNING: Agent uce_agent.sh is not running"
        FAILURE1="1"
        OK="0"
fi
if [ "$AGENTBIN" = "" ]; then
        echo "WARNING: Agent uce_agent.bin is not running"
        FAILURE2="1"
        OK="0"
fi


UNAME=`uname`
if [ $UNAME = "Linux" ];then
        CACAOSTATUS=`/opt/sun/cacao2/bin/cacaoadm status -i scn-agent 2>&1 | grep "scn-agent instance is not running" `
        AGENTADM="/opt/sun/xvmoc/bin/agentadm"
else
        CACAOSTATUS=`/usr/sbin/cacaoadm status -i scn-agent 2>&1 | grep "scn-agent instance is not running" `
        AGENTADM="/opt/SUNWxvmoc/bin/agentadm"
fi
if [ "$CACAOSTATUS" != "" ]; then
        echo "WARNING: Agent cacao is not running"
        FAILURE3="1"
        OK="0"
fi
if [ "$FAILURE1" = "1" ]; then
if [ "$FAILURE2" = "1" ]; then
if [ "$FAILURE3" = "1" ]; then
        ##### Only print this if all 3 services are down, otherwise there could be an issue
        echo "         To start the agent (if configured already), try: $AGENTADM start"
fi
fi
fi
if [ "$OK" = "1" ]; then
        echo "OK: Agent services are running"
fi
