#!/bin/bash
OUTPUT=`grep "failed to re-find parent key in" /var/opt/sun/xvm/logs/db/mgmt/* 2>/dev/null`
if [ "$OUTPUT" = "" ]; then
	echo "OK: No broken indexes in the Management DB"
else
	echo
	echo "WARNING: Found broken index message in the Management DB"
	echo "         Please contact support as this index needs to be rebuilt"
	echo "         Since this is searching the logs, you may see this message even if you already fixed it!"
	echo "Output from log:"
	echo "------------------"
	printf "$OUTPUT\n\n"
fi 
OUTPUT=`grep "failed to re-find parent key in" /var/opt/sun/xvm/logs/db/report/* 2>/dev/null`
if [ "$OUTPUT" = "" ]; then
	echo "OK: No broken indexes in the Report DB"
else
	echo
	echo "WARNING: Found broken index message in the Report DB"
	echo "         Please contact support as this index needs to be rebuilt"
	echo "         Since this is searching the logs, you may see this message even if you already fixed it!"
	echo "Output from log:"
	echo "------------------"
	printf "$OUTPUT\n\n"
fi 
