#!/bin/bash
UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
        SAT_BIN="/opt/sun/xvmoc/bin/satadm"
else
        SAT_BIN="/opt/SUNWxvmoc/bin/satadm"
fi
STATUS=`$SAT_BIN status`
if [ "$STATUS" = "online" ];then
        echo "OK: Enterprise Controller status is online"
else
        echo "WARNING: Enterprise Controller status is not online - try starting it using the command:"
	echo "         $SAT_BIN start -w"
	echo ""
        echo "IMPORTANT: Upgrading the Enterprise Controller will fail if the status is not 'online'!"
        echo "           On Solaris, use 'svcs -x satellite-available' to root cause the issue!"
        echo ""
fi
