#!/bin/bash
UNAME=`uname`
if [ $UNAME = "Linux" ];then
	exit
fi

#
# Check if /usr/jdk/latest points to a 1.6.0 JDK
#
JDKVER=`ls -la /usr/jdk | grep "^l" | grep latest | awk '{print $11}' | cut -c1-8`
if [ "$JDKVER" = "jdk1.6.0" ]; then
        echo "OK: /usr/jdk/latest points to a 1.6.0 JDK"
else
        echo "ERROR: /usr/jdk/latest does not point to a 1.6.0 JDK. You may want to fix the symbolic link:"
	echo "/usr/jdk/"
	ls -la /usr/jdk/ | grep "^l" | grep latest
	echo
fi
