#!/bin/bash
UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
	CACAO="/var/opt/sun/cacao2/instances/oem-ec/logs/cacao.*"
else
	CACAO="/var/cacao/instances/oem-ec/logs/cacao.*"
fi
ERRORM=`grep 'no correlation map entries' $CACAO`
if [ "$ERRORM" = "" ]; then
	echo "OK: No credential issues found"
else
	echo "WARNING: Based on the logs, the discovery may have not completed successfully (CR 6888723)"
	echo "         If you are discovering an OS using 'Privileged Role' field, it is possible that the password there is incorrect."
	echo "         This warning may show up in other cases (such as an Upgrade) as well and can be ignored."
	echo ""
fi
