#!/bin/bash

#### General variables ###
UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
        SAT_BIN="/opt/sun/xvmoc/bin/satadm"
else
        SAT_BIN="/opt/SUNWxvmoc/bin/satadm"
fi


GROUPF="/var/opt/sun/xvm/grouplock"

#### Actual test ####
if [ ! -f $GROUPF ]; then
	echo "OK: Grouplock file doesn't exist"
else
	echo "ERROR: Found the file $GROUPF"
	echo "       This will cause user defined groups to not be dynamic anymore (Bug 15703561)."
	echo "       This file is safe to remove after an upgrade is complete."
	echo "       To remove, stop the EC, remove the file, then start the EC again:"
	echo ""
	echo "# $SAT_BIN stop -w"
	echo "# rm $GROUPF" 
	echo "# $SAT_BIN start -w"
	echo ""
fi
