#!/bin/bash

#### General variables ###
UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
	if [ -x /sbin/iptables ]; then
		LINES=`/sbin/iptables -vnL 2>/dev/null | wc -l 2>/dev/null| awk '{print $1}' 2>/dev/null`
		if [ $LINES -gt 8 ]; then
			echo "NOTICE: Found an active firewall rules using 'iptables -vnL'. This may not be a problem if the"
			echo "        firewall is configured properly. Please refer to the documentation for required ports."
	    else
	    	echo "OK: 'iptables' is not using any rules"
		fi
	fi
fi
