#!/bin/bash
UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
        PROXY_BIN="/opt/sun/xvmoc/bin/proxyadm"
	PROXY_LOG="/var/opt/sun/cacao2/instances/scn-proxy/logs/cacao.*"
	PROXY_TEST="/var/opt/sun/cacao2/instances/scn-proxy/logs/cacao.0"
else
        PROXY_BIN="/opt/SUNWxvmoc/bin/proxyadm"
	PROXY_LOG="/var/cacao/instances/scn-proxy/logs/cacao.*"
	PROXY_TEST="/var/cacao/instances/scn-proxy/logs/cacao.0"
fi

if [ -f $PROXY_TEST ];then
	DONOTHING=1
        ### Otherwise the grep below will error out
else
        exit
fi

ERRORM=`grep '401 sending notification packet' $PROXY_LOG`
if [ "$ERRORM" = "" ]; then
	echo "OK: No hidden servers due to proxy communication"
else
	echo "ERROR: Based on the logs, you may have servers which don't show up in the BUI (CR 6898689)."
	echo "       This happens when both the Enterprise Controller and Proxy Controller are rebooted but start in the wrong order."
	echo "       To fix, simply stop the proxy then start it:"
	echo "       # $PROXY_BIN stop -w"
	echo "       # $PROXY_BIN start -w"
	echo "       (you will still see this message after restarting as this test is checking the logs which may be old)"
	echo ""
fi
