#!/bin/bash
UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
        SAT_BIN="/opt/sun/xvmoc/bin/satadm"
else
        SAT_BIN="/opt/SUNWxvmoc/bin/satadm"
fi
if [ -f $SAT_BIN ];then
	exit
	### In a colocated proxy - the version was already checked in the Satellite tests
fi

MY_DIR=`dirname $0`
source $MY_DIR/../../functions
get_version ""

if [ $VERSIONNUM -lt $LATESTVERNUM ];then
	echo "WARNING: current installed version ($VERSION) is not the latest available ($LATESTVERSION)"
	echo "         To upgrade, go to 'Administration'->'Ops Center Downloads'."
else
	echo "OK: the version is the latest one ($VERSION)"
fi

